function [lhs,rhs] = assembleFromPre(preStruct,mu,equName)

  equName = eval('equName','''equ''');
  
  thetaLhs = preStruct.theta.lhs(mu);
  lhs = 0;
  
  if (iscell(preStruct.(equName).lhs))
    for q=1:numel(preStruct.(equName).lhs)
      lhs = lhs + thetaLhs(q)*preStruct.(equName).lhs{q};
    end
  else
    lhs = preStruct.(equName).lhs*thetaLhs;
    n = sqrt(numel(lhs));
    lhs = reshape(lhs,n,n);
  end
  
  if (nargout>1)
    rhs = preStruct.(equName).rhs*preStruct.theta.rhs(mu);
  end