function [alpha_lb,alpha_ub,ef] = scm_online(prob,mu)

  Theta = prob.fem.pre.theta.lhs(mu);
  
  if prob.scm.K_max<=prob.scm.M_alpha
    P_M_alpha = uint16(1:prob.scm.K_max)';
  % ====== TODO ==========
  % else
  % ...
  % ======================
  end

% compute lower and upperbound  
  linprog_options = optimset('display','off');
  [y,alpha_lb,ef] = ...
    linprog(Theta,-prob.scm.Theta(:,P_M_alpha)',-prob.scm.alpha(P_M_alpha), ...
            [],[],prob.scm.sigma_minus,prob.scm.sigma_plus,[],linprog_options);
  alpha_ub = min(prob.scm.S_ub*Theta);